Order Metadata
Retrieve order-related metadata
Authenticating This RequestTo properly make this API call, the request needs to be authorized by generating a JWT Token sourced from the Authentication API Call using the relevant Client's Public and Secret Key.
Overview
The Metadata API allows ticketing/reservation platforms to retrieve essential Teak Consumer Flow links that can be embedded throughout the platform.
Use Cases
- Consumer Account Profile
- Platform Confirmation Emails
- Any location where Protection links are required
Links Returned in the Response
- FAQ URL: Frequently Asked Questions
- Help Center Email: Contact support
- Refund Request URL: Submit a refund request
- Cancellation/Void URL: Cancel or void a purchase
- Certificate/Terms & Conditions URL: View protection terms
- Protection Coverage URL: Details about coverage options
Example Request
GET https://api.sandbox.protecht.com/api/v2/orders/{order_number}/[email protected]Required query parameter:
- email (Email associated with the order)
The email query parameter accepts both URL-encoded and non-URL-encoded values. For reliability, especially with emails containing special characters (such as + in addresses like [email protected]), we recommend URL encoding the email value.
Example Response
{
"faq_url": "https://help.requestmyrefund.com/general-raas/",
"helpcenter_email": "[email protected]",
"refund_request_url": "https://{slug}.sandbox.requestmyrefund.com/enhancedrefundprogram/refund/orders?token=123",
"cancellation_url": "https://{slug}.sandbox.requestmyrefund.com/enhancedrefundprogram/cancellation/orders?token=123",
"certificate_url": "https://{slug}.sandbox.requestmyrefund.com/enhancedrefundprogram/certificate/orders?token=123",
"policy_pdf": "https://static.sandbox.helloteak.com/policy/bb3596ab-1a18-4ca2-ab3f-f779c0410124/coverage/5074593337c244c0a2c409c3be96f489.pdf"
}
Cancellation/Void URLThe URL will only be included in the response if the order is within the designated look period.
Order email mismatchIf the order number is valid but the email does not match the one associated with the order, only URLs without tokens (unsigned URLs) will be returned.
Try it out!
If you'd like to see a working example of our order links API call, follow this link to our API Reference Guide !
Updated 4 months ago
